<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: ButtonsCommanderSwitchOnePin Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classButtonsCommanderSwitchOnePin.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classButtonsCommanderSwitchOnePin-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ButtonsCommanderSwitchOnePin Class Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="ButtonsCommanderSwitchOnePin_8hpp_source.html">ButtonsCommanderSwitchOnePin.hpp</a>&quot;</code></p>
<div class="dynheader">
Inheritance diagram for ButtonsCommanderSwitchOnePin:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classButtonsCommanderSwitchOnePin.png" usemap="#ButtonsCommanderSwitchOnePin_map" alt=""/>
  <map id="ButtonsCommanderSwitchOnePin_map" name="ButtonsCommanderSwitchOnePin_map">
<area href="classButtonsCommanderButton.html" alt="ButtonsCommanderButton" shape="rect" coords="0,0,199,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8c43c44b9408bb887107e09407f2ea5c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classButtonsCommanderSwitchOnePin.html#a8c43c44b9408bb887107e09407f2ea5c">ButtonsCommanderSwitchOnePin</a> ()</td></tr>
<tr class="separator:a8c43c44b9408bb887107e09407f2ea5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af30fa302f6149e466ec241ee5b9c6fba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classButtonsCommanderSwitchOnePin.html#af30fa302f6149e466ec241ee5b9c6fba">begin</a> (unsigned long inId, int inPin)</td></tr>
<tr class="separator:af30fa302f6149e466ec241ee5b9c6fba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4a18cad9ddbb3f59ebe3e83e446a377"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classButtonsCommanderSwitchOnePin.html#af4a18cad9ddbb3f59ebe3e83e446a377">beforeFirstLoop</a> ()</td></tr>
<tr class="separator:af4a18cad9ddbb3f59ebe3e83e446a377"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13b39217d1b55574422ea1d8bded0f62"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classButtonsCommanderSwitchOnePin.html#a13b39217d1b55574422ea1d8bded0f62">loop</a> ()</td></tr>
<tr class="separator:a13b39217d1b55574422ea1d8bded0f62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classButtonsCommanderButton"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classButtonsCommanderButton')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></td></tr>
<tr class="memitem:afd8cb1a2b76510830062c5656bda0728 inherit pub_methods_classButtonsCommanderButton"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classButtonsCommanderButton.html#afd8cb1a2b76510830062c5656bda0728">ButtonsCommanderButton</a> (unsigned long inId)</td></tr>
<tr class="separator:afd8cb1a2b76510830062c5656bda0728 inherit pub_methods_classButtonsCommanderButton"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbdd1d63fed7736c7358105428fbfd9c inherit pub_methods_classButtonsCommanderButton"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classButtonsCommanderButton.html#acbdd1d63fed7736c7358105428fbfd9c">GetId</a> () const </td></tr>
<tr class="separator:acbdd1d63fed7736c7358105428fbfd9c inherit pub_methods_classButtonsCommanderButton"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ab1295abfbfafef48d38a8795fb0be7 inherit pub_methods_classButtonsCommanderButton"><td class="memItemLeft" align="right" valign="top">virtual ButtonsCommanderButton *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classButtonsCommanderButton.html#a1ab1295abfbfafef48d38a8795fb0be7">GetFromId</a> (unsigned long inId)</td></tr>
<tr class="separator:a1ab1295abfbfafef48d38a8795fb0be7 inherit pub_methods_classButtonsCommanderButton"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a823f11a7de3a5a01d0c076f7d5b4fae0 inherit pub_methods_classButtonsCommanderButton"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classButtonsCommanderButton.html#a823f11a7de3a5a01d0c076f7d5b4fae0">GetPosition</a> () const </td></tr>
<tr class="separator:a823f11a7de3a5a01d0c076f7d5b4fae0 inherit pub_methods_classButtonsCommanderButton"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a270eade0db966b7e72b6dc5462377593 inherit pub_methods_classButtonsCommanderButton"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classButtonsCommanderButton.html#a270eade0db966b7e72b6dc5462377593">EndLoop</a> ()</td></tr>
<tr class="separator:a270eade0db966b7e72b6dc5462377593 inherit pub_methods_classButtonsCommanderButton"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fa0ef8aede172936672b384f81b03bb inherit pub_methods_classButtonsCommanderButton"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classButtonsCommanderButton.html#a7fa0ef8aede172936672b384f81b03bb">SetNextButton</a> (ButtonsCommanderButton *inpButton)</td></tr>
<tr class="separator:a7fa0ef8aede172936672b384f81b03bb inherit pub_methods_classButtonsCommanderButton"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dac1c9fcdc5bbe1d2b00a38192f555c inherit pub_methods_classButtonsCommanderButton"><td class="memItemLeft" align="right" valign="top">ButtonsCommanderButton *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classButtonsCommanderButton.html#a0dac1c9fcdc5bbe1d2b00a38192f555c">GetNextButton</a> () const </td></tr>
<tr class="separator:a0dac1c9fcdc5bbe1d2b00a38192f555c inherit pub_methods_classButtonsCommanderButton"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_classButtonsCommanderButton"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classButtonsCommanderButton')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></td></tr>
<tr class="memitem:a3b40667770ab04694a2ea85f11aebfe0 inherit pro_attribs_classButtonsCommanderButton"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classButtonsCommanderButton.html#a3b40667770ab04694a2ea85f11aebfe0">Id</a></td></tr>
<tr class="separator:a3b40667770ab04694a2ea85f11aebfe0 inherit pro_attribs_classButtonsCommanderButton"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A switch can be used in a On/Off way. In this case only one Arduino pin is connected to the switch. The event raised is always of type <a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba">COMMANDERS_EVENT_MOVE</a> and data is <a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa1675bf6790ab941818b2623b710d9826">COMMANDERS_MOVE_ON</a> or <a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa72085934c5621169aa9f5e3f7a32a7c6">COMMANDERS_MOVE_OFF</a>.</p>
<p>Events thrown: </p><pre class="fragment">     reason            |   id      |         type          | data
</pre><p> ------------------------&mdash;|--------&mdash;|--------------------&mdash;|-----------------&mdash; pin state to HIGH | button id | <a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba">COMMANDERS_EVENT_MOVE</a> | <a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa1675bf6790ab941818b2623b710d9826">COMMANDERS_MOVE_ON</a> previous pin state to LOW | button id | <a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba">COMMANDERS_EVENT_MOVE</a> | <a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa72085934c5621169aa9f5e3f7a32a7c6">COMMANDERS_MOVE_OFF</a> </p>

<p class="definition">Definition at line <a class="el" href="ButtonsCommanderSwitchOnePin_8hpp_source.html#l00020">20</a> of file <a class="el" href="ButtonsCommanderSwitchOnePin_8hpp_source.html">ButtonsCommanderSwitchOnePin.hpp</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a8c43c44b9408bb887107e09407f2ea5c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ButtonsCommanderSwitchOnePin::ButtonsCommanderSwitchOnePin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Default constructor. </p>

<p class="definition">Definition at line <a class="el" href="ButtonsCommanderSwitchOnePin_8cpp_source.html#l00011">11</a> of file <a class="el" href="ButtonsCommanderSwitchOnePin_8cpp_source.html">ButtonsCommanderSwitchOnePin.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="af4a18cad9ddbb3f59ebe3e83e446a377"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ButtonsCommanderSwitchOnePin::beforeFirstLoop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function will be called after sketch Setup(), but before the first call to <a class="el" href="classButtonsCommanderSwitchOnePin.html#a13b39217d1b55574422ea1d8bded0f62">loop()</a>. It will be called only one time. </p>

<p>Reimplemented from <a class="el" href="classButtonsCommanderButton.html#ae1f260c75fbe475f674107bdc96f26cd">ButtonsCommanderButton</a>.</p>

<p class="definition">Definition at line <a class="el" href="ButtonsCommanderSwitchOnePin_8cpp_source.html#l00025">25</a> of file <a class="el" href="ButtonsCommanderSwitchOnePin_8cpp_source.html">ButtonsCommanderSwitchOnePin.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="af30fa302f6149e466ec241ee5b9c6fba"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ButtonsCommanderSwitchOnePin::begin </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inPin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize the instance. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inId</td><td>id of the button. </td></tr>
    <tr><td class="paramname">inPin</td><td>Arduino pin connected to the switch button. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="ButtonsCommanderSwitchOnePin_8cpp_source.html#l00017">17</a> of file <a class="el" href="ButtonsCommanderSwitchOnePin_8cpp_source.html">ButtonsCommanderSwitchOnePin.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a13b39217d1b55574422ea1d8bded0f62"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long ButtonsCommanderSwitchOnePin::loop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Main loop function. </p>

<p>Reimplemented from <a class="el" href="classButtonsCommanderButton.html#a44bbb289ce1f64b42a88126e8dd42f7e">ButtonsCommanderButton</a>.</p>

<p class="definition">Definition at line <a class="el" href="ButtonsCommanderSwitchOnePin_8cpp_source.html#l00038">38</a> of file <a class="el" href="ButtonsCommanderSwitchOnePin_8cpp_source.html">ButtonsCommanderSwitchOnePin.cpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/<a class="el" href="ButtonsCommanderSwitchOnePin_8hpp_source.html">ButtonsCommanderSwitchOnePin.hpp</a></li>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/<a class="el" href="ButtonsCommanderSwitchOnePin_8cpp_source.html">ButtonsCommanderSwitchOnePin.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classButtonsCommanderSwitchOnePin.html">ButtonsCommanderSwitchOnePin</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
